## ssss 0.5

=== Makefile ===
all: ssss-split ssss-combine ssss.1 ssss.1.html

ssss-split: ssss.c
	$(CC) -W -Wall -O2 -lgmp -o ssss-split ssss.c
	strip ssss-split

ssss-combine: ssss-split
	ln -f ssss-split ssss-combine

ssss.1: ssss.manpage.xml
	xmltoman ssss.manpage.xml > ssss.1

ssss.1.html: ssss.manpage.xml
	xmlmantohtml ssss.manpage.xml > ssss.1.html

clean:
	rm -rf ssss-split ssss-combine ssss.1 ssss.1.html

=== debian/changelog ===
ssss (0.5-5) unstable; urgency=medium

  * d/control: update vcs links to salsa
  * fix insecure-copyright-format-uri
  * refresh packaging (debhelper 12, std-ver 4.3.0)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 12 Jan 2019 14:25:08 +0100

ssss (0.5-4) unstable; urgency=medium

  * d/control: bumped std-ver to 4.0.0 (no changes needed)
  * d/control: use debhelper 10
  * d/watch: use watch version 4
  * d/tests: add a smoke test (by Chris Lamb, closes: #869645)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 12 Aug 2017 01:10:31 +0200

ssss (0.5-3) unstable; urgency=medium

  * New maintainer. Thanks James! (Closes: #797689)
  * d/control: update (Closes: #615409)
  * Switch to dh (Closes: #559262)
  * Switch to gbp & refresh patches (Closes: #641434)
  * d/copyright: make machine-readable
  * d/patches: fix wrong use of memset (Closes: #609092)
  * d/patches: do not strip binary (Closes: #438045)
  * Install doc.html (Closes: #559263)

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 02 Sep 2015 20:13:10 +0200

ssss (0.5-2) unstable; urgency=low

  * New maintainer. Thanks David. (Closes: #387234)
  * Switch to quilt for patch management.
  * debian/compat:
    - Switch to level 5.
  * debian/copyright:
    - Add proper copyright statement and license header.
    - Add a statement about the copyright on the Debian packaging.
  * debian/rules:
    - Remove unneeded configure targets.
    - Remove unused dh_ calls.
    - Actually use the CFLAGS in the build.
    - Comment out DH_VERBOSE = 1.
  * debian/control:
    - Change the maintainer to myself.
    - Update Standards-Version to 3.7.2 (no changes required).
    - Add ${misc:Depends}.
    - Improve description.
    - Add Homepage: field.
    - Bump dependency on debhelper to >= 5.0.
  * debian/patches:
    - 01-Makefile-install: The patch from the last version to add an install
      target.
    - 05-man-hyphen: Escape all hyphens in the manpage source so they come
      out as the correct groff characters.
  * debian/watch:
    - Add.

 -- James Westby <jw+debian@jameswestby.net>  Tue, 19 Sep 2006 01:13:52 +0100

ssss (0.5-1) unstable; urgency=low

  * New upstream release.

 -- David Moreno Garza <damog@debian.org>  Mon, 16 Jan 2006 17:21:49 -0600

ssss (0.4-1) unstable; urgency=low

  * Initial release.

 -- David Moreno Garza <damog@debian.org>  Sun, 23 Oct 2005 16:22:30 -0500

=== debian/control ===
Source: ssss
Maintainer: Tomasz Buchert <tomasz@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
               debhelper-compat (= 12),
               libgmp3-dev,
               xmltoman
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/ssss
Vcs-Git: https://salsa.debian.org/debian/ssss.git
Homepage: http://point-at-infinity.org/ssss/

Package: ssss
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shamir's secret sharing scheme implementation
 Implementation of Shamir's Secret Sharing Scheme. The program suite
 does both: the generation of shares for a known secret, and the
 reconstruction of a secret using user-provided shares.
 .
 Shamir's Secret Sharing Scheme allows a secret to be split in to shares.
 These shares can then be distributed to different people. When the time comes
 to retrieve the secret then a preset number of the shares need to be combined.
 The number of shares created, and the number needed to retrieve the secret
 are set at splitting time. The number of shares required to re-create the
 secret can be chosen to be less that the number of shares created, so any
 large enough subset of the shares can retrieve the secret.
 .
 This scheme allows a secret to be shared, either to reduce the chances that
 the secret is lost, or to increase the number of parties that must cooperate
 to reveal the secret.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh $@

override_dh_installman:
	ln -s ssss.1 ssss-combine.1
	ln -s ssss.1 ssss-split.1
	dh_installman ssss-combine.1 ssss-split.1 ssss.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f ssss-combine.1 ssss-split.1

=== debian/tests/control ===
Tests: 01-smoketest
Restrictions: allow-stderr
